name and code values from the response as filter inputs for the Get eSIM Packages endpoint.| Name | Type | Required | Description |
|---|---|---|---|
geography | string | optional | Scope of coverage for the package. Accepted values: local, regional, global. |
| Field | Type | Description |
|---|---|---|
name | string | Full country name. Use as the country parameter in the Packages API. |
code | string | ISO country code. Use as the countryCode parameter in the Packages API. |
geography | string | Scope of coverage for the package. can be any of local, regional, global. |
[
{
"name": "United States",
"code": "US",
"geography": "local"
},
{
"name": "Japan",
"code": "JP",
"geography": "local"
}
]Note: Retrieve nameandcodevalues from this endpoint before querying the Packages API — arbitrary country strings are not accepted.
curl --location 'https://api-dev.getroamify.com/api/esim/countries' \
--header 'Authorization: Bearer roamify_3fegvaRHZxZoAsB7Yg5KFs5ymSg3kBN1trn4DxRrqW1mDRoo9DueN6FSfNTuGndVGpR2iTyH4UVmZf39tVb5muWUPqBm1dh5eHiH5WkPN3wGLF8cr7MhemqekwK7rdqFizTZD9VDRq5P5RHAXzL2tCHfcrsskg2YoP8JE1fndNoiQCUSS1GBUUpmH'application/json; charset=utf-8 content type is not supported in the response body